Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.sms
Class SMSPull

    java.lang.Object
      com.knowgate.sms.SMSPull

    public class SMSPull

extends java.lang.Object

Constructor Summary
`SMSPull()`

Method Summary
`void` | `acknowledge(SMSResponse oRsp)`
`void` | `close()` Close JDBC connection to database
`void` | `connect(java.lang.String sDataSource, java.lang.String sUser, java.lang.String sPassword)` Connect to JDBC DataSource for storing incoming messages and notifications
`void` | `receive(SMSMessage oMsg)` Store an incoming message at the database

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SMSPull

    public SMSPull()

Method Detail

### connect

    public void connect(java.lang.String sDataSource,
                        java.lang.String sUser,
                        java.lang.String sPassword)
                 throws java.sql.SQLException

  Connect to JDBC DataSource for storing incoming messages and notifications

  Parameters:
    `sDataSource` - String Name of properties file for connecting to database (typically "hipergate")
    `sUser` - String GUID of user from k_users table
    `sPassword` - String User's passwords from k_users table
  Throws:
    `java.sql.SQLException`

### close

    public void close()
               throws java.sql.SQLException

  Close JDBC connection to database

  Throws:
    `java.sql.SQLException`

### receive

    public void receive(SMSMessage oMsg)
                 throws java.sql.SQLException

  Store an incoming message at the database

  Parameters:
    `oMsg` - SMSMessage
  Throws:
    `java.sql.SQLException`

### acknowledge

    public void acknowledge(SMSResponse oRsp)
                     throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD